[![Build Status](https://travis-ci.org/cameronmartino/BacDivePy.svg?branch=master)](https://travis-ci.org/cameronmartino/BacDivePy)
![Coverage Status](https://coveralls.io/repos/github/cameronmartino/BacDivePy/badge.svg)

# BacDivePy

A python interface for the [Bacterial Diversity Metadatabase][BD] ([Söhngen et al. 2014 & 2016](#references)) of the [DSMZ (German Collection of Microorganisms and Cell Cultures)][DMSZ]. BacDivePy is modeled after [BacDiveR](https://github.com/TIBHannover/BacDiveR)

[BD]: https://bacdive.dsmz.de/
[DMSZ]: https://www.dsmz.de/about-us.html
[reg]: https://bacdive.dsmz.de/api/bacdive/registration/register/

## Installation

    pip install git+https://github.com/cameronmartino/BacDivePy.git

## Tutorials

* [Login and Example Use](https://github.com/cameronmartino/BacDivePy/blob/master/Doc/login_and_searching.ipynb)

## References

* Söhngen, Carola, Boyke Bunk, Adam Podstawka, Dorothea Gleim, and Jörg
Overmann. 2014. “BacDive—the Bacterial Diversity Metadatabase.” *Nucleic
Acids Research* 42 (D1): D592–D599.
[doi:10.1093/nar/gkt1058](https://doi.org/10.1093/nar/gkt1058).

* Söhngen, Carola, Adam Podstawka, Boyke Bunk, Dorothea Gleim, Anna
Vetcininova, Lorenz Christian Reimer, Christian Ebeling, Cezar
Pendarovski, and Jörg Overmann. 2016. “BacDive – the Bacterial Diversity
Metadatabase in 2016.” *Nucleic Acids Research* 44 (D1): D581–D585.
[doi:10.1093/nar/gkv983](https://doi.org/10.1093/nar/gkv983).

* [BacDiveR](https://github.com/TIBHannover/BacDiveR)
